summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbtd13372019-08-10 21:25:09 -0300
committerbtd13372019-08-10 21:25:09 -0300
commit8fd1a62029fd68db2e8e489449c4e9d7c8982481 (patch)
tree433dd0333c3ab8bbca4075fdd1e85d282c882e0a
downloadaur-8fd1a62029fd68db2e8e489449c4e9d7c8982481.tar.gz
initial release
-rw-r--r--.SRCINFO22
-rw-r--r--.gitignore1
-rw-r--r--PKGBUILD46
3 files changed, 69 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..b4f2beaaa02
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = gcleaner-git
+ pkgdesc = This is the original version of GCleaner writen in Vala lang
+ pkgver = r42.50fc6e4
+ pkgrel = 1
+ url = https://github.com/gcleaner-vala/gcleaner
+ arch = any
+ license = GPL3
+ makedepends = git
+ makedepends = cmake
+ makedepends = vala
+ depends = gtk3
+ depends = granite
+ depends = glib2
+ depends = json-glib
+ optdepends = lib32-glib2
+ provides = gcleaner
+ conflicts = gcleaner
+ source = git+https://github.com/gcleaner-vala/gcleaner.git
+ md5sums = SKIP
+
+pkgname = gcleaner-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..b25c15b81fa
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+*~
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3448f65e475
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+# Maintainer: Helder Bertoldo <helder.bertoldo@gmail.com>
+# Contributor:
+
+_gitname=gcleaner
+_author=gcleaner-vala
+pkgname=("${_gitname}-git")
+pkgver=r42.50fc6e4
+pkgrel=1
+pkgdesc="This is the original version of GCleaner writen in Vala lang"
+arch=('any')
+url="https://github.com/${_author}/${_gitname}"
+license=('GPL3')
+depends=('gtk3' 'granite' 'glib2' 'json-glib')
+optdepends=('lib32-glib2')
+makedepends=('git' 'cmake' 'vala')
+provides=("${_gitname}")
+conflicts=("${_gitname}")
+source=("git+${url}.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${_gitname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "${_gitname}"
+ install -d build
+}
+
+build() {
+ cd "${_gitname}/build"
+ cmake .. \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr
+ make
+}
+
+package() {
+ cd "${_gitname}/build"
+ make DESTDIR="${pkgdir}" install
+}
+